import initProviders from './initProviders'
// import initCornerstoneDICOMImageLoader from './initCornerstoneDICOMImageLoader'
import initVolumeLoader from './initVolumeLoader'
import {
  init as csRenderInit,
  imageLoader,
  volumeLoader,
  metaData,
} from '@cornerstonejs/core';
import * as cornerstoneTools from '@cornerstonejs/tools';
import * as cornerstone from '@cornerstonejs/core';
import { init as csToolsInit } from '@cornerstonejs/tools';
import cornerstoneDICOMImageLoader from '@cornerstonejs/dicom-image-loader';
cornerstone.Settings.getRuntimeSettings().set('useCursors', false);
window.cornerstone = cornerstone;
window.cornerstoneTools = cornerstoneTools;
export default async function initLibraries() {
  initProviders();
  cornerstoneDICOMImageLoader.init();
  initVolumeLoader();
  await csRenderInit({
    // peerImport,
    // ...(config?.core ? config.core : {}),
  });
  await csToolsInit();
}

